# SPDX-License-Identifier: MIT
%global project_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(string.lower(t))}
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 2.600
%global source_release 9
%global source_url     https://software.sil.org/taiheritage/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Tai Heritage Pro
%global fonts_summary            Tai Heritage Pro, a traditional style Tai Viet script font family
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 65-%{fonts_name}.xml
%global fonts_description        %{expand:
The Tai people of northwestern Vietnam and surrounding areas have a long
tradition of literacy in the Tai Viet script. Tai Heritage Pro reflects the
traditional style of this script.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     documentation

%auto_init
%auto_pkg

%sourcelist
https://github.com/silnrsi/font-%{project_name}/releases/download/v%{version}/%{archive_name}.tar.xz
65-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *txt documentation/*txt documentation/developer/*txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
